# Docker DNS Lab

```mermaid
flowchart TD
  client["client<br/>172.20.0.100"]
  subgraph main["example.com"]
    maindns[(maindns<br/>ns1.example.com<br/>172.20.0.10)]
    subgraph sub["sub.example.com"]
      subdns[(subdns<br/>ns1.sub.example.com<br/>172.20.0.20)]
    end
  end

  client -->|"DNS"| maindns
  maindns -->|"delegate:sub"| subdns
```

## Running

```shell
#start the containers
./start-dnslab.sh

# do your tests
./dnslab dig ns1.example.com
./dnslab dig ns1.sub.example.com

./dnslab ip -br a
```

## Cleaning up

```
./cleanup-dnslab.sh
```
